Skip to content
Back to top

# Index

Symbols | _ | A | B | C | D | F | H | L | M | O | P | Q | S | T | V | W

## Symbols

- !
  - texture name
- !cur_0
  - texture name
- !cur_180
  - texture name
- !cur_270
  - texture name
- !cur_90
  - texture name
- !cur_dwn
  - texture name
- !cur_up
  - texture name
- !lava
  - texture name
- !slime
  - texture name
- *
  - texture name
- *lava
  - texture name
- *slime
  - texture name
- --check
  - bsputil command line option
- --convert
  - bsputil command line option
  - maputil command line option
- --decompile
  - bsputil command line option
- --decompile-geomonly
  - bsputil command line option
- --decompile-hull
  - bsputil command line option
- --decompile-ignore-brushes
  - bsputil command line option
- --extract-bspx-lump
  - bsputil command line option
- --extract-entities
  - bsputil command line option
- --extract-textures
  - bsputil command line option
- --findfaces
  - bsputil command line option
- --findleaf
  - bsputil command line option
- --game
  - maputil command line option
- --insert-bspx-lump
  - bsputil command line option
- --modelinfo
  - bsputil command line option
- --query
  - maputil command line option
- --remove-bspx-lump
  - bsputil command line option
- --replace-entities
  - bsputil command line option
- --replace-textures
  - bsputil command line option
- --save
  - maputil command line option
- --scale
  - bsputil command line option
- --script
  - maputil command line option
- --settexinfo
  - bsputil command line option
- --strip_extended_info
  - maputil command line option
- --svg
  - bsputil command line option
- -2psb
  - qbsp command line option
- -add
  - qbsp command line option
- -addmin
  - light command line option
- -aliasdef
  - qbsp command line option
- -allowupgrade
  - qbsp command line option
- -arghradcompat
  - light command line option
- -basedir
  - light command line option
  - qbsp command line option
  - vis command line option
- -bmodelcontents
  - qbsp command line option
- -bouncedebug
  - light command line option
- -bouncelightsdebug
  - light command line option
- -bsp2
  - qbsp command line option
- -bspx
  - light command line option
  - qbsp command line option
- -bspxhdr
  - light command line option
- -bspxlit
  - light command line option
- -bspxlux
  - light command line option
- -bspxonly
  - light command line option
  - qbsp command line option
- -chop
  - qbsp command line option
- -chopfragment
  - qbsp command line option
- -convert
  - qbsp command line option
- -debugbspbrushes
  - qbsp command line option
- -debugchop
  - qbsp command line option
- -debugexpand
  - qbsp command line option
- -debugface
  - light command line option
- -debugleafvolumes
  - qbsp command line option
- -debugleak
  - qbsp command line option
- -debugmottle
  - light command line option
- -debugneighbours
  - light command line option
- -debugoccluded
  - light command line option
- -debugvert
  - light command line option
- -defaultpaths
  - light command line option
  - qbsp command line option
  - vis command line option
- -dirtdebug
  - light command line option
- -emissivequality
  - light command line option
- -epsilon
  - qbsp command line option
- -exportobj
  - light command line option
- -extra
  - light command line option
- -extra4
  - light command line option
- -facestyles
  - light command line option
- -fast
  - vis command line option
- -filepriority
  - light command line option
  - qbsp command line option
  - vis command line option
- -filldetail
  - qbsp command line option
- -filltype
  - qbsp command line option
- -forcegoodtree
  - qbsp command line option
- -forceprt1
  - qbsp command line option
- -gamedir
  - light command line option
  - qbsp command line option
  - vis command line option
- -gate
  - light command line option
- -hdr
  - light command line option
- -hexen2
  - qbsp command line option
- -highlightseams
  - light command line option
- -hlbsp
  - qbsp command line option
- -includeskip
  - qbsp command line option
- -keepprt
  - qbsp command line option
- -leakdist
  - qbsp command line option
- -leaktest
  - qbsp command line option
- -level
  - vis command line option
- -lightgrid
  - light command line option
- -lightgrid_dist
  - light command line option
- -lightgrid_format
  - light command line option
- -lit
  - light command line option
- -lit2
  - light command line option
- -litonly
  - light command line option
- -litwater
  - qbsp command line option
- -lmscale
  - light command line option
  - qbsp command line option

- -lmshift
  - light command line option
- -log
  - light command line option
  - qbsp command line option
  - vis command line option
- -logbmodels
  - qbsp command line option
- -loghulls
  - qbsp command line option
- -lowpriority
  - light command line option
  - qbsp command line option
  - vis command line option
- -lux
  - light command line option
- -maxedges
  - qbsp command line option
- -maxnodesize
  - qbsp command line option
- -microvolume
  - qbsp command line option
- -midsplitbrushfraction
  - qbsp command line option
- -midsplitsurffraction
  - qbsp command line option
- -missing_textures_as_zero_size
  - qbsp command line option
- -noallowupgrade
  - qbsp command line option
- -noambient
  - vis command line option
- -noambientlava
  - vis command line option
- -noambientsky
  - vis command line option
- -noambientslime
  - vis command line option
- -noambientwater
  - vis command line option
- -noautoclean
  - vis command line option
- -nochop
  - qbsp command line option
- -noclip
  - qbsp command line option
- -nocolor
  - light command line option
  - qbsp command line option
  - vis command line option
- -nodefaultpaths
  - light command line option
  - qbsp command line option
  - vis command line option
- -nodetail
  - qbsp command line option
- -noedgereuse
  - qbsp command line option
- -noextendedsurfflags
  - qbsp command line option
- -nofill
  - qbsp command line option
- -nolighting
  - light command line option
- -nolights
  - light command line option
- -nolog
  - light command line option
  - qbsp command line option
  - vis command line option
- -nomerge
  - qbsp command line option
- -nooldaxis
  - qbsp command line option
- -nopercent
  - light command line option
  - qbsp command line option
  - vis command line option
- -noprogress
  - light command line option
  - qbsp command line option
  - vis command line option
- -noskip
  - qbsp command line option
- -nosoftware
  - qbsp command line option
- -nostat
  - light command line option
  - qbsp command line option
  - vis command line option
- -nostate
  - vis command line option
- -nosubdivide
  - qbsp command line option
- -notex
  - qbsp command line option
- -notjunc
  - qbsp command line option
- -notranswater
  - qbsp command line option
- -notriggermodels
  - qbsp command line option
- -novanilla
  - light command line option
- -noverbose
  - light command line option
  - qbsp command line option
  - vis command line option
- -novisapprox
  - light command line option
- -objexport
  - qbsp command line option
- -oldaxis
  - qbsp command line option
- -oldrottex
  - qbsp command line option
- -omitdetail
  - qbsp command line option
- -omitdetailfence
  - qbsp command line option
- -omitdetailillusionary
  - qbsp command line option
- -omitdetailwall
  - qbsp command line option
- -onlyents
  - light command line option
  - qbsp command line option
- -outsidedebug
  - qbsp command line option
- -path
  - light command line option
  - qbsp command line option
  - vis command line option
- -phongdebug
  - light command line option
- -phongdebug_obj
  - light command line option
- -phsonly
  - vis command line option
- -q2bsp
  - qbsp command line option
- -q2rtx
  - light command line option
  - qbsp command line option
  - vis command line option
- -qbism
  - qbsp command line option
- -quiet
  - light command line option
  - qbsp command line option
  - vis command line option
- -radlights
  - light command line option
- -soft
  - light command line option
- -software
  - qbsp command line option
- -splitsky
  - qbsp command line option
- -splitspecial
  - qbsp command line option
- -splitturb
  - qbsp command line option
- -subdivide
  - qbsp command line option
- -sunsamples
  - light command line option
- -surflight_dump
  - light command line option
- -surflight_subdivide
  - light command line option
- -texturedefs
  - qbsp command line option
- -threads
  - light command line option
  - qbsp command line option
  - vis command line option
- -tjunc
  - qbsp command line option
- -transwater
  - qbsp command line option
- -v
  - light command line option
  - qbsp command line option
  - vis command line option
- -verbose
  - light command line option
  - qbsp command line option
  - vis command line option
- -visapprox
  - light command line option
- -visdist
  - vis command line option
- -wadpath
  - qbsp command line option
- -world_units_per_luxel
  - light command line option
- -worldextent
  - qbsp command line option
- -wrbrushes
  - qbsp command line option
- -wrbrushesonly
  - qbsp command line option
- -wrnormals
  - light command line option
- -xwadpath
  - qbsp command line option

## _

- _anglescale
  - light entity key
  - skylight entity key
  - sunlight entity key
  - worldspawn key
- _anglesense
  - light entity key
  - worldspawn key
- _autominlight
  - bmodel key
- _autominlight_target
  - bmodel key
- _bounce
  - bmodel key
  - worldspawn key
- _bouncecolorscale
  - worldspawn key
- _bouncelightsubdivision
  - worldspawn key
- _bouncescale
  - light entity key
  - worldspawn key
- _bouncestyled
  - worldspawn key
- _chop
  - bmodel key
- _chop_order
  - bmodel key
- _choplight
  - worldspawn key
- _color
  - light entity key
  - skylight entity key
  - sunlight entity key
- _compilerstyle_max
  - worldspawn key
- _compilerstyle_start
  - worldspawn key
- _deviance
  - light entity key
- _dirt
  - bmodel key
  - light entity key
  - skylight entity key
  - sunlight entity key
  - worldspawn key
- _dirtangle
  - worldspawn key
- _dirtdepth
  - worldspawn key
- _dirtgain
  - light entity key
  - worldspawn key
- _dirtmode
  - worldspawn key
- _dirtscale
  - light entity key
  - worldspawn key
- _dirty
  - worldspawn key
- _dist
  - worldspawn key
- _external_map
  - other entity key
- _external_map_angle
  - other entity key
- _external_map_angles
  - other entity key
- _external_map_classname
  - other entity key
- _external_map_scale
  - other entity key
- _falloff
  - light entity key
- _gamma
  - worldspawn key
- _hulls
  - bmodel key
- _light_alpha
  - bmodel key
- _light_channel_mask
  - light entity key
- _light_twosided
  - bmodel key
- _lightcolorscale
  - bmodel key
- _lightignore
  - bmodel key
- _lightmap_scale
  - worldspawn key
- _litwater
  - bmodel key
- _lmscale
  - bmodel key
- _maxlight
  - worldspawn key
- _mincolor
  - bmodel key
  - worldspawn key
- _minlight
  - bmodel key
  - worldspawn key
- _minlight_color
  - bmodel key
  - worldspawn key
- _minlight_dirt
  - worldspawn key
- _minlight_exclude
  - bmodel key
- _minlight_exclude2
  - bmodel key
- _minlight_exclude3
  - bmodel key
- _minlight_mottle
  - bmodel key
- _minlightMottle
  - bmodel key
- _mirrorinside
  - bmodel key
- _noambient
  - bmodel key
- _noclipfaces
  - bmodel key
- _nostaticlight
  - light entity key

- _object_channel_mask
  - bmodel key
- _phong
  - bmodel key
- _phong_angle
  - bmodel key
- _phong_angle_concave
  - bmodel key
- _phong_group
  - bmodel key
- _project_fov
  - projected texture light entity key
- _project_mangle
  - projected texture light entity key
- _project_texture
  - projected texture light entity key
- _range
  - worldspawn key
- _samples
  - light entity key
- _selfshadow
  - bmodel key
- _shadow
  - bmodel key
- _shadow_channel_mask
  - light entity key
- _shadowself
  - bmodel key
- _shadowworldonly
  - bmodel key
- _sky_surface
  - worldspawn key
- _softangle
  - spotlight entity key
- _splitturb
  - bmodel key
- _spotlightautofalloff
  - worldspawn key
- _sun
  - sunlight entity key
- _sun2
  - worldspawn key
- _sun2_color
  - worldspawn key
- _sun2_mangle
  - worldspawn key
- _sun_angle
  - worldspawn key
- _sun_color
  - worldspawn key
- _sun_light
  - worldspawn key
- _sun_mangle
  - worldspawn key
- _sun_surface
  - worldspawn key
- _sunlight
  - worldspawn key
- _sunlight2
  - skylight entity key
  - worldspawn key
- _sunlight2_color
  - worldspawn key
- _sunlight2_dirt
  - worldspawn key
- _sunlight3
  - skylight entity key
  - worldspawn key
- _sunlight3_color
  - worldspawn key
- _sunlight_color
  - worldspawn key
- _sunlight_color2
  - worldspawn key
- _sunlight_color3
  - worldspawn key
- _sunlight_dirt
  - worldspawn key
- _sunlight_mangle
  - worldspawn key
- _sunlight_penumbra
  - worldspawn key
- _suntexture
  - skylight entity key
  - sunlight entity key
- _surface
  - surface light entity key
- _surface_offset
  - surface light entity key
- _surface_radiosity
  - surface light entity key
- _surface_spotlight
  - surface light entity key
- _surflight_atten
  - bmodel key
  - worldspawn key
- _surflight_color
  - bmodel key
- _surflight_group
  - bmodel key
  - surface light entity key
- _surflight_minlight_scale
  - bmodel key
  - worldspawn key
- _surflight_radiosity
  - worldspawn key
- _surflight_rescale
  - bmodel key
- _surflight_style
  - bmodel key
- _surflight_targetname
  - bmodel key
- _surflightscale
  - worldspawn key
- _surflightskyscale
  - worldspawn key
- _surflightsubdivision
  - worldspawn key
- _switchableshadow
  - bmodel key
- _switchableshadow_target
  - light entity key
- _world_units_per_luxel
  - bmodel key

## A

- angle
  - spotlight entity key

## B

- bmodel key
  - _autominlight
  - _autominlight_target
  - _bounce
  - _chop
  - _chop_order
  - _dirt
  - _hulls
  - _light_alpha
  - _light_twosided
  - _lightcolorscale
  - _lightignore
  - _litwater
  - _lmscale
  - _mincolor
  - _minlight
  - _minlight_color
  - _minlight_exclude
  - _minlight_exclude2
  - _minlight_exclude3
  - _minlight_mottle
  - _minlightMottle
  - _mirrorinside
  - _noambient
  - _noclipfaces
  - _object_channel_mask
  - _phong
  - _phong_angle
  - _phong_angle_concave
  - _phong_group
  - _selfshadow
  - _shadow
  - _shadowself
  - _shadowworldonly
  - _splitturb
  - _surflight_atten
  - _surflight_color
  - _surflight_group
  - _surflight_minlight_scale
  - _surflight_rescale
  - _surflight_style
  - _surflight_targetname
  - _switchableshadow
  - _world_units_per_luxel

- bsputil command line option
  - --check
  - --convert
  - --decompile
  - --decompile-geomonly
  - --decompile-hull
  - --decompile-ignore-brushes
  - --extract-bspx-lump
  - --extract-entities
  - --extract-textures
  - --findfaces
  - --findleaf
  - --insert-bspx-lump
  - --modelinfo
  - --remove-bspx-lump
  - --replace-entities
  - --replace-textures
  - --scale
  - --settexinfo
  - --svg

## C

- classname
  - func_detail
  - func_detail_fence
  - func_detail_illusionary
  - func_detail_wall
  - func_group
  - func_illusionary_visblocker

## D

- delay
  - light entity key

- deviance
  - sunlight entity key

## F

- func_detail
  - classname
- func_detail_fence
  - classname
- func_detail_illusionary
  - classname

- func_detail_wall
  - classname
- func_group
  - classname
- func_illusionary_visblocker
  - classname

## H

- hint
  - texture name

## L

- light
  - light entity key
  - skylight entity key
  - sunlight entity key
  - worldspawn key
- light command line option
  - -addmin
  - -arghradcompat
  - -basedir
  - -bouncedebug
  - -bouncelightsdebug
  - -bspx
  - -bspxhdr
  - -bspxlit
  - -bspxlux
  - -bspxonly
  - -debugface
  - -debugmottle
  - -debugneighbours
  - -debugoccluded
  - -debugvert
  - -defaultpaths
  - -dirtdebug
  - -emissivequality
  - -exportobj
  - -extra
  - -extra4
  - -facestyles
  - -filepriority
  - -gamedir
  - -gate
  - -hdr
  - -highlightseams
  - -lightgrid
  - -lightgrid_dist
  - -lightgrid_format
  - -lit
  - -lit2
  - -litonly
  - -lmscale
  - -lmshift
  - -log
  - -lowpriority
  - -lux
  - -nocolor
  - -nodefaultpaths
  - -nolighting
  - -nolights
  - -nolog
  - -nopercent
  - -noprogress
  - -nostat
  - -novanilla
  - -noverbose
  - -novisapprox
  - -onlyents
  - -path
  - -phongdebug
  - -phongdebug_obj
  - -q2rtx
  - -quiet
  - -radlights
  - -soft
  - -sunsamples
  - -surflight_dump
  - -surflight_subdivide
  - -threads
  - -v
  - -verbose
  - -visapprox
  - -world_units_per_luxel
  - -wrnormals

- light entity key
  - _anglescale
  - _anglesense
  - _bouncescale
  - _color
  - _deviance
  - _dirt
  - _dirtgain
  - _dirtscale
  - _falloff
  - _light_channel_mask
  - _nostaticlight
  - _samples
  - _shadow_channel_mask
  - _switchableshadow_target
  - delay
  - light
  - style
  - targetname
  - wait

## M

- mangle
  - spotlight entity key
  - sunlight entity key
- maputil command line option
  - --convert
  - --game
  - --query
  - --save
  - --script
  - --strip_extended_info

## O

- origin
  - texture name
- other entity key
  - _external_map
  - _external_map_angle
  - _external_map_angles
  - _external_map_classname
  - _external_map_scale

## P

- projected texture light entity key
  - _project_fov
  - _project_mangle
  - _project_texture

## Q

- qbsp command line option
  - -2psb
  - -add
  - -aliasdef
  - -allowupgrade
  - -basedir
  - -bmodelcontents
  - -bsp2
  - -bspx
  - -bspxonly
  - -chop
  - -chopfragment
  - -convert
  - -debugbspbrushes
  - -debugchop
  - -debugexpand
  - -debugleafvolumes
  - -debugleak
  - -defaultpaths
  - -epsilon
  - -filepriority
  - -filldetail
  - -filltype
  - -forcegoodtree
  - -forceprt1
  - -gamedir
  - -hexen2
  - -hlbsp
  - -includeskip
  - -keepprt
  - -leakdist
  - -leaktest
  - -litwater
  - -lmscale
  - -log
  - -logbmodels
  - -loghulls
  - -lowpriority
  - -maxedges
  - -maxnodesize
  - -microvolume
  - -midsplitbrushfraction
  - -midsplitsurffraction
  - -missing_textures_as_zero_size
  - -noallowupgrade
  - -nochop
  - -noclip
  - -nocolor
  - -nodefaultpaths
  - -nodetail
  - -noedgereuse
  - -noextendedsurfflags
  - -nofill
  - -nolog
  - -nomerge
  - -nooldaxis
  - -nopercent
  - -noprogress
  - -noskip
  - -nosoftware
  - -nostat
  - -nosubdivide
  - -notex
  - -notjunc
  - -notranswater
  - -notriggermodels
  - -noverbose
  - -objexport
  - -oldaxis
  - -oldrottex
  - -omitdetail
  - -omitdetailfence
  - -omitdetailillusionary
  - -omitdetailwall
  - -onlyents
  - -outsidedebug
  - -path
  - -q2bsp
  - -q2rtx
  - -qbism
  - -quiet
  - -software
  - -splitsky
  - -splitspecial
  - -splitturb
  - -subdivide
  - -texturedefs
  - -threads
  - -tjunc
  - -transwater
  - -v
  - -verbose
  - -wadpath
  - -worldextent
  - -wrbrushes
  - -wrbrushesonly
  - -xwadpath

## S

- skip
  - texture name
- skylight entity key
  - _anglescale
  - _color
  - _dirt
  - _sunlight2
  - _sunlight3
  - _suntexture
  - light
  - style
  - targetname
- spotlight entity key
  - _softangle
  - angle
  - mangle
  - target
- style
  - light entity key
  - skylight entity key
  - sunlight entity key

- sunlight entity key
  - _anglescale
  - _color
  - _dirt
  - _sun
  - _suntexture
  - deviance
  - light
  - mangle
  - style
  - target
  - targetname
- surface light entity key
  - _surface
  - _surface_offset
  - _surface_radiosity
  - _surface_spotlight
  - _surflight_group

## T

- target
  - spotlight entity key
  - sunlight entity key
- targetname
  - light entity key
  - skylight entity key
  - sunlight entity key
- texture name
  - !
  - !cur_0
  - !cur_180
  - !cur_270
  - !cur_90
  - !cur_dwn
  - !cur_up
  - !lava
  - !slime
  - *
  - *lava
  - *slime
  - hint
  - origin
  - skip

## V

- vis command line option
  - -basedir
  - -defaultpaths
  - -fast
  - -filepriority
  - -gamedir
  - -level
  - -log
  - -lowpriority
  - -noambient
  - -noambientlava
  - -noambientsky
  - -noambientslime
  - -noambientwater
  - -noautoclean
  - -nocolor
  - -nodefaultpaths
  - -nolog
  - -nopercent
  - -noprogress
  - -nostat
  - -nostate
  - -noverbose
  - -path
  - -phsonly
  - -q2rtx
  - -quiet
  - -threads
  - -v
  - -verbose
  - -visdist

## W

- wait
  - light entity key
- worldspawn key
  - _anglescale
  - _anglesense
  - _bounce
  - _bouncecolorscale
  - _bouncelightsubdivision
  - _bouncescale
  - _bouncestyled
  - _choplight
  - _compilerstyle_max
  - _compilerstyle_start
  - _dirt
  - _dirtangle
  - _dirtdepth
  - _dirtgain
  - _dirtmode
  - _dirtscale
  - _dirty
  - _dist
  - _gamma
  - _lightmap_scale
  - _maxlight
  - _mincolor
  - _minlight
  - _minlight_color
  - _minlight_dirt
  - _range
  - _sky_surface
  - _spotlightautofalloff
  - _sun2
  - _sun2_color
  - _sun2_mangle
  - _sun_angle
  - _sun_color
  - _sun_light
  - _sun_mangle
  - _sun_surface
  - _sunlight
  - _sunlight2
  - _sunlight2_color
  - _sunlight2_dirt
  - _sunlight3
  - _sunlight3_color
  - _sunlight_color
  - _sunlight_color2
  - _sunlight_color3
  - _sunlight_dirt
  - _sunlight_mangle
  - _sunlight_penumbra
  - _surflight_atten
  - _surflight_minlight_scale
  - _surflight_radiosity
  - _surflightscale
  - _surflightskyscale
  - _surflightsubdivision
  - light